> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API Changelog (2024)

> Track updates, additions, and breaking changes to the Anchorage Digital API.

**Changelog by year:** [2026](/knowledge-base/api-reference/changelog) · [2025](/knowledge-base/api-reference/changelog-2025) · [2024](/knowledge-base/api-reference/changelog-2024)

<Update label="Dec 13, 2024" tags={["Added"]}>
  ## Added Support for USD Withdrawal Requests | Wealth Management

  * **Added support for USD withdrawal requests**
    * **Category**: Subaccount Withdrawal Requests
    * **Endpoints Changed**:
      * `POST /subaccounts/{subaccountId}/fiat/withdrawals`
      * `GET /subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}`
    * **Methods**: POST, GET
    * **Paths**:
      * `/subaccounts/{subaccountId}/fiat/withdrawals`
      * `/subaccounts/{subaccountId}/fiat/withdrawals/{transactionId}`
    * **Parameters**: No new parameters added
    * **Request Body**: Supports USD withdrawal requests
    * **Impact**: Users can now create and retrieve USD withdrawal requests for subaccounts.
    * **Example**: A request to create a USD withdrawal will include asset type as USD and specify the amount.
    * **Additional Information**: This enhancement allows users to manage USD transactions efficiently within subaccounts.

  For more details, refer to the [Create a USD Withdrawal Request for a subaccount](/knowledge-base/reference/createsubaccountwithdrawal) and [Get USD Withdrawal Request for a subaccount](/knowledge-base/reference/getsubaccountwithdrawal) documentation.
</Update>

<Update label="Dec 13, 2024" tags={["Added"]}>
  ## Added GET Trusted Destinations

  * **Added read support for Get Trusted Destinations**
    * **Category**: Trusted Destinations
    * **Endpoints Added**:
      * `GET v2/trusted_destinations`
    * **Methods**: GET
    * **Impact**: Users can now view approved Trusted Destinations via API.

  For more details, refer to the [Get Trusted Destinations](https://docs.anchorage.com/reference/gettrusteddestinations) API documentation.
</Update>

<Update label="Oct 15, 2024" tags={["Added"]}>
  ## Get Wallets linked to subaccount API

  **Summary**: We have added a new endpoint to fetch all wallets associated with a specific subaccount.

  **Use Case Implications**:

  * RIA Use Cases Only - Create Deposit Wallet for a Subaccount for funding
  * This will allow you to fetch all existing deposit wallets for a specific subaccount when a customer is requesting a deposit address. If you do not see an existing wallet, then you can trigger a Create a new Wallet (using `subaccountId`).
</Update>

<Update label="Oct 7, 2024" tags={["Improved"]}>
  ## Reduced ETH API Threshold from 0.15 ETH to 0.03 ETH per Transfer

  For each transfer operation initiated by API, we've reduced the required `gasFeeThreshold` from 0.15 ETH to 0.03 ETH.
</Update>

<Update label="Jun 4, 2024" tags={["Deprecated"]}>
  ## v2/asset-types - Deprecating 'assettypeIds' query parameter

  Deprecated the `assettypeIds` query parameter in the /v2/asset-types endpoint in favor of a new `assettypes` query parameter.
</Update>

<Update label="Apr 11, 2024" tags={["Added"]}>
  ## External Transfer API - AmlQuestionnaire

  <br />
</Update>

<Update label="Apr 11, 2024">
  ## Subscribe to Changelog RSS

  [https://docs.anchorage.com/changelog.rss](https://docs.anchorage.com/changelog.rss)
</Update>

<Update label="Jan 31, 2024" tags={["Improved"]}>
  ## Block trading enhancements

  * Added `counterQtyAllIn`, `counterQtyAllInToSettle` and fee to the Allocation object in the following endpoints:
    * POST `/v2/trading/order`
    * GET `/v2/trading/orders/{orderId}`
</Update>

<Update label="Jan 31, 2024" tags={["Added"]}>
  ## New Deposit Attribution API

  * Added new endpoint to list deposit attributions (List All)\
    GET `/v2/deposit-attributions/attributions`
  * Added new endpoint to attribute deposits (deposit by depositTransactionId)\
    PATCH `/v2/deposit-attributions/{depositTransactionId}`
  * Added new endpoint to attribute deposits (attribute as Spam)\
    POST `/v2/deposit-attributions/{depositTransactionId}/spam`
</Update>

<Update label="Jan 31, 2024" tags={["Added"]}>
  ## New transaction status

  * Added `EXPIRED` transaction status.
</Update>
